version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_was_upgrade_http
    ports:
      - "2237:22"  # SSH
      - "4446:443" # HTTPS 
      - "8093:8080"  # tomcat
    network_mode: bridge
    restart: always
    volumes:
      - wasconfig_upgrade_http:/usr/local/tomcat/conf
      - wardata_upgrade_http:/data #default tomcat 경로 사용시
volumes:
    wasconfig_upgrade_http:
      external: true
    wardata_upgrade_http:
      external: true
